Evaluators
Start a pending upload
Initiates a new pending upload or retrieves an existing one for the specified evaluator version.
Path parameters
name
string
required
The name path parameter.
version
string
required
The specific version id of the EvaluatorVersion to operate on.
Query parameters
api-version
string
required
The API version to use for this operation.
Request Body
The pending upload request parameters
pendingUploadId
string
If PendingUploadId is not provided, a random GUID will be used.
connectionName
string
Azure Storage Account connection name to use for generating temporary SAS token
pendingUploadType
enum
required
The type of pending upload.
Responses
The request has succeeded.
Body
blobReference
BlobReference
required
Blob reference details.
blobUri
string
required
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
required
ARM ID of the storage account to use.
credential
SasCredential
required
SAS Credential definition
sasUri
string
required
SAS uri
type
enum
required
Type of credential
pendingUploadId
string
required
ID for this upload request.
version
string
Version of asset to be created if user did not specify version when initially creating upload
pendingUploadType
enum
required
The type of pending upload.
Request
POST /evaluators/{name}/versions/{version}/startPendingUpload HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json